> ## Documentation Index
> Fetch the complete documentation index at: https://ai-recruiter.micro1.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an interview

> This endpoint updates an existing interview by ID.



## OpenAPI

````yaml put /interview/{interviewId}
openapi: 3.0.3
info:
  title: micro1 Public API
  description: micro1 ai-interview platform public API
  version: 1.0.0
  termsOfService: https://www.micro1.ai/terms-conditions
  contact:
    name: micro1 API Support
    url: https://www.micro1.ai
    email: support@micro1.ai
servers:
  - url: https://public.api.micro1.ai
    description: Production server
security:
  - apiKey: []
paths:
  /interview/{interviewId}:
    put:
      tags:
        - Interview
      summary: Update an interview
      description: This endpoint updates an existing interview by ID.
      operationId: aiInterviewer-6d5d608a-0b31-460d-80b8-a69aa43aac17
      parameters:
        - name: interviewId
          in: path
          description: ID of the interview to update
          required: true
          schema:
            $ref: '#/components/schemas/interviewId'
      requestBody:
        description: Request body to update an interview
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/9126af2f-e06b-4a71-8b76-b9c8f66f552e'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/b2697d86-2b45-482c-9957-83a3cc227365'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/0acae7b7-5e11-4fc4-a1ff-06aaa8115fbf'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/28d74bab-c21a-49e7-9499-82d841b8c11b'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
      security:
        - apiKey: []
components:
  schemas:
    interviewId:
      type: string
    9126af2f-e06b-4a71-8b76-b9c8f66f552e:
      title: UpdateInterviewRequest
      description: Request to update an interview
      type: object
      properties:
        interview_name:
          type: string
          description: Name of the interview
          example: Full Stack Engineer Interview
        skills:
          type: array
          items:
            type: object
            required:
              - name
            properties:
              name:
                type: string
                description: Name of the skill
                example: React
              description:
                type: string
                description: More information about the skill
                example: Must be proficient in React Context API
          description: Required skills for the interview (max 10)
          example:
            - name: React
              description: Must be proficient in React Context API
        custom_question_list:
          type: array
          items:
            type: object
            properties:
              question:
                type: string
                description: The question to ask the candidate
                example: What are your strengths and weaknesses?
              time:
                type: number
                description: The time limit for the question in minutes (min 1, max 4)
                example: 2
              type:
                type: string
                description: The type of question
                example: audio
                enum:
                  - audio
                  - text
          description: Custom questions for the interview (max 20)
          example:
            - question: What are your strengths and weaknesses?
              time: 2
              type: audio
        interview_language:
          type: string
          description: The language in which the AI interview will be conducted
          default: en
          example: en
          enum:
            - en
            - fr
            - de
            - he
            - hi
            - pt
            - es
            - es-la
            - tr
            - ja
            - sv
            - ar
            - pl
            - dk
            - kr
            - it
            - nl
            - cz
            - ua
            - ur
            - id
            - en-GB
            - es-MX
            - cn
            - zh-CN
            - zh-TW
            - zh-HK
            - ru
            - bn
            - ms
            - pt-BR
            - vi
            - tl
            - th
            - afb
            - pt-PT
        can_change_interview_language:
          type: boolean
          description: Whether the candidate can change the language
          default: false
        only_coding_round:
          type: boolean
          description: Whether the interview is a coding round only
          default: false
        is_coding_round_required:
          type: boolean
          description: ​​Whether the coding round is required
          default: false
        selected_coding_language:
          type: string
          description: The coding language for the coding round
          example: python
        coding_exercise_details:
          type: string
          description: >-
            Add more details to tailor the coding exercise (optional) - Note:
            The candidate won't be able to use outside libraries.
          example: >-
            Make the DSA problem extremely difficult and focus on a problem that
            will require recursion to solve efficiently.
        is_proctoring_required:
          type: boolean
          description: Whether the proctoring is required
          default: true
    b2697d86-2b45-482c-9957-83a3cc227365:
      title: UpdateInterviewResponse
      description: Response for updating an interview
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: true
        message:
          type: string
          description: The message for the response
          example: Interview updated successfully
    Access-Control-Allow-Origin:
      type: string
      default: '*'
      example: https://developer.mozilla.org
    Access-Control-Allow-Credentials:
      type: boolean
      default: true
    0acae7b7-5e11-4fc4-a1ff-06aaa8115fbf:
      title: BadRequestResponse
      description: Response for bad requests
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: false
        message:
          type: string
          description: The error message
          example: Invalid request
    28d74bab-c21a-49e7-9499-82d841b8c11b:
      title: InternalServerErrorResponse
      description: Response for internal server error
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: false
  securitySchemes:
    apiKey:
      description: API key to access the API
      type: apiKey
      name: x-api-key
      in: header

````